LinuxQuestions.org
Help answer threads with 0 replies.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Newbie
User Name
Password
Linux - Newbie This Linux forum is for members that are new to Linux.
Just starting out and have a question? If it is not in the man pages or the how-to's this is the place!

Notices


Reply
  Search this Thread
Old 10-08-2015, 02:52 AM   #1
balanca
LQ Newbie
 
Registered: Oct 2015
Posts: 2

Rep: Reputation: Disabled
nfs-common problem when upgrading Debian 6 Squeeze to 7 Wheezy


Hello,

I am new on this forum and this is my first question. I am trying to upgrade Debian 6 to 7. I am following tutorial on this page: http://linuxlookup.com/howto/upgrade...ueeze_7_wheezy

When I try to upgrade with command "apt-get dist-upgrade" it stops with unsolved dependancies
initscripts: Breaks: nfs-common (< 1:1.2.5-3)

Does anyone have a solution?
 
Old 10-08-2015, 02:56 AM   #2
vincix
Member
 
Registered: Feb 2011
Distribution: Centos 6.7, 7
Posts: 514

Rep: Reputation: 48
I don't know what it is like on Debian, but for instance, upgrading from Centos 6 to Centos 7 is clearly NOT recommended, because, given that one probably keeps one's current system up to date, the packages of Centos 7 are older, and so one will have to deal with all sorts of conflicts between packages. I've heard some people have done it, but it's really not worth the effort, as it's very difficult. I suppose the same scenario goes for the Debian upgrade.
 
Old 10-08-2015, 03:15 AM   #3
descendant_command
Senior Member
 
Registered: Mar 2012
Posts: 1,380

Rep: Reputation: 353Reputation: 353Reputation: 353Reputation: 353
Have you read the Release Notes?
https://www.debian.org/releases/wheezy/releasenotes

They cover the upgrade process in detail.

Debian provides a reliable upgrade path between stable releases.
 
1 members found this post helpful.
Old 10-08-2015, 01:55 PM   #4
balanca
LQ Newbie
 
Registered: Oct 2015
Posts: 2

Original Poster
Rep: Reputation: Disabled
Thanks for answers
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
Upgrading Squeeze To Wheezy : phpmyadmin = ssl_error_rx_record_too_long pun_Krawk Debian 2 01-21-2014 05:50 PM
LXer: Debian Linux vs. Debian kFreeBSD With Squeeze & Wheezy LXer Syndicated Linux News 0 12-12-2012 11:00 PM
Debian Squeeze on Raspberry Pi faster than Debian Wheezy patrick295767 Debian 8 07-23-2012 01:09 AM
[SOLVED] Upgrading Squeeze to Wheezy: a nightmare! edbarx Debian 17 03-19-2012 05:49 PM


All times are GMT -5. The time now is 05:41 AM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration